## mars.venus
Class PopupListener

    java.lang.Object
      java.awt.event.MouseAdapter
          mars.venus.PopupListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener

    public class PopupListener

extends MouseAdapter

Constructor Summary
`PopupListener(JPopupMenu p)`

Method Summary
`void` `mousePressed(MouseEvent e)`
`void` `mouseReleased(MouseEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopupListener

    public PopupListener(JPopupMenu p)

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`